<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SourceFileRequirement](./bitburner.sourcefilerequirement.md) &gt; [sourceFile](./bitburner.sourcefilerequirement.sourcefile.md)

## SourceFileRequirement.sourceFile property

**Signature:**

```typescript
sourceFile: number;
```
